create or replace view OOBJ_NFE_ENVIO as 
select
	null            as nfe_id,      -- Chave da view OOBJ_NFE_ENVIO	   
	null		as indSinc, 	 -- Indicador de processamento sncrono. 0=NO; 1=SIM=Sncrono
	null            as cUF,         -- Cdigo da UF do emitente do Documento Fiscal
	null            as cNF,         -- Cdigo nmerico que compe a Chave de acesso
	null            as natOp,       -- Descrio da Natureza da Operao
	null            as serie,       -- Srie do Documento Fiscal
	null            as nNF,         -- Nmero do Documento Fiscal
	null            as dhEmi,       -- Data de emisso do Documento       
	null            as dhSaiEnt,    -- Date e Hora de sada ou da Entrada da Mercadoria/Produto       
	null            as tpNF,        -- Tipo do Documento Fiscal	   
	null            as idDest,		 -- Identificador de Local de destino da operao (1-Interna;2-Interestadual;3-Exterior)
	null            as cMunFG,      -- Cdigo do Municpio de Ocorrncia do Fato Gerador
	null            as tpImp,       -- Formato de Impresso do DANFE       
	null            as tpEmis,	     -- Forma de Emisso da NF-e	   
	null            as cDV,         -- Digito verificador da Chave de Acesso da NF-e
	null            as tpAmb,       -- Identificao do Ambiente
	null            as finNFe,      -- Finalidade de emisso da NF-e
	null		as indFinal,	 -- Indica operao com consumidor final (0-No;1-Consumidor Final)
	null		as indPres, 	 -- Indicador de presena do comprador no estabelecimento comercial no momento da oeprao (0-No se aplica (ex.: Nota Fiscal complementar ou de ajuste;1-Operao presencial;2-No presencial, internet;3-No presencial, teleatendimento;4-NFC-e entrega em domiclio;5 - Operao presencial, fora do estabelecimento;9-No presencial, outros)
	null		as mod,         -- Utilizar 55 para identificao da NF-e, emitida em substituio ao modelo 1 e 1A e 65 para NFC-e. Se no informado, ser considerado 55
	-- Informaes de envio de e-mail
	null            as emailCopia,  -- Lista para envio automtico de emails
	0               as enviarDANFE, -- Determina o envio do DANFE por email
	0               as enviarBoleto, -- Determina o envio do Boleto por email
	-- Informaes de Contingncia
	null            as dhCont,      -- Data e Hora de Entrada em contingncia
	null            as xJust,       -- Justificativa de entrada em contigncia
	null            as qrCode,      -- Texto com o QR Code impresso no DANFe NFC-e (NT 2015-002)
	-- Identificao do Emitente da Nota Fiscal Eletrnica	   
	null            as emitCNPJ,    -- CNPJ do emitente	   
	null            as emitCPF,     -- CPF do emitente	   
	null            as emitXNome,   -- Razo Social ou Nome do emitente
	null            as emitXFant,   -- Nome Fantasia
	null            as emitIE,      -- IE
	null            as emitIEST,    -- IE do Substituto Tributrio
	null            as emitIM,      -- Inscrio Municipal
	null            as emitCNAE,    -- CNAE Fiscal
	null            as emitCRT,     -- Cdigo do Regime Tributrio
	-- Endereo do Emitente
	null            as emitXLgr,    -- Logradouro
	null            as emitNro,     -- Nmero
	null            as emitXCpl,    -- Complemento
	null            as emitXBairro, -- Bairro
	null            as emitCMun,    -- Cdigo do municpio 
	null            as emitXMun,    -- Nome do municpio
	null            as emitUF,      -- Sigla da UF
	null            as emitCEP,     -- Cdigo do CEP
	null            as emitCPais,   -- Cdigo do Pas
	null            as emitXPais,   -- Nome do Pas
	null            as emitFone,    -- Telefone (DDD + Telefone)
	-- Identificao do Fisco Emitente da NF-e
	null            as avulsoCNPJ,    -- CNPJ do Orgo Emitente
	null            as avulsoxOrgao,  -- rgo Emitente
	null            as avulsoMatr,    -- Matrcula do agente
	null            as avulsoxAgente, -- Nome do agente
	null            as avulsoFone,    -- Telefone
	null            as avulsoUF,      -- Sigla da UF
	null            as avulsonDAR,    -- Nmero do Documento de Arrecadao de Receita
	null            as avulsodEmi,    -- Data de emisso do Documento de Arrecadao
	null            as avulsovDAR,    -- Valor Total constante no  Documento de arrecadao de Receita 
	null            as avulsorepEmi,  -- Repartio Fiscal emitente
	null            as avulsodPag,    -- Data de pagamento do Documento de Arrecadao
	-- Identificao do Destinatrio da Nota Fiscal Eletrnica	   
	null            as destCNPJ,    -- CNPJ do destinatrio	   
	null            as destCPF,     -- CPF do destinatrio	   
	null			 as destIdEstrangeiro, -- Identificador do destinatrio, em caso de comprador estrangeiro
	null            as destXNome,   -- Razo Social ou Nome do destinatrio
	null            as destIE,      -- IE
	null            as destISUF,    -- Inscrio na SUFRAMA
	null            as destEmail,   -- Endereo de email do destinatrio
	null            as IMDest,		 --	inscrio estadual do tomador de servio destinatrio;	texto 15 (opcional)
	null            as indIEDest,   --	indicador do tipod e contribuio do destinatario;		inteiro (1 - contribuinte ICMS pag a vista, 2 - contribuinte isento de inscrio, 9 - no contribuinte) 
	-- Endereo do destinatrio 
	null            as destXLgr,    -- Logradouro
	null            as destNro,     -- Nmero
	null            as destXCpl,    -- Complemento
	null            as destXBairro, -- Bairro
	null            as destCMun,    -- Cdigo do municpio
	null            as destXMun,    -- Nome do municpio
	null            as destUF,      -- Sigla da UF
	null            as destCEP,     -- Cdigo do CEP
	null            as destCPais,   -- Cdigo do Pas
	null            as destXPais,   -- Nome do Pas
	null            as destFone,    -- Telefone (DDD + Telefone)
	-- Identificao do Local de Retirada da mercadoria
	null            as retCNPJ,     -- CNPJ do Local de retirada
	null            as retCPF,      -- CPF do local de retirada
	null            as retXLgr,     -- Logradouro
	null            as retNro,      -- Nmero
	null            as retCpl,      -- Complemento
	null            as retXBairro,  -- Bairro
	null            as retCMun,     -- Cdigo do Municpio
	null            as retXMun,     -- Nome do Municpio
	null            as retUF,       -- Sigla da UF
	-- Identificao do Local de Entrega da mercadoria
	null            as entCNPJ,     -- CNPJ do Local de entrega
	null            as entCPF,      -- CPF do Local de entrega
	null            as entXLgr,     -- Logradouro
	null            as entNro,      -- Nmero
	null            as entXCpl,     -- Complemento
	null            as entXBairro,  -- Bairro
	null            as entCMun,     -- Cdigo do Municpio
	null            as entXMun,     -- Nome do Municpio
	null            as entUF,       -- Sigla da UF
	-- Valores Totais da NF-e
	null            as ICMSVBC,     -- Base de clculo do ICMS
	null            as vICMS,       -- Valor total do ICMS
	null		as vFCP,	-- Valor total do Fundo de Combate  Pobreza
	null            as vBCST,       -- Base de clculo do ICMS ST
	null            as vST,         -- Valor tota do ICMS ST
	null		as vFCPST,	-- Valor Total do FCP (Fundo de Combate  Pobreza) retido por substituio tributria)
	null		as vFCPSTRet,	-- Valor Total do FCP retido anteriormente por Substituio Tributria
	null            as vProd,       -- Valor total dos produtos e servios
	null            as vFrete,      -- Valor total do frete
	null            as vSeg,        -- Valor total do seguro
	null            as vDesc,       -- Valor total do desconto
	null            as vIPI,        -- valor total do IPI
	null		as vIPIDevol	-- Valor Total do IPI Devolvido
	null            as vII,         -- Valor total do II
	null            as vPIS,        -- Valor do PIS
	null            as vCOFINS,     -- Valor do COFINS
	null            as vOutro,      -- Outras Despesas acessrias
	null            as vNF,         -- Valor total da NF-e
	null			 as vTotTrib,	 -- Valor total estimado de impostos
	null            as vICMSDeson,  -- valor de icms de desonerao        decimal 15,2 (15 digitos, sendo dois decimais)
	null			 as vFCPUFDest,  -- Valor total do ICMS relativo ao Funco de Combate  Pobreza para a UF de destino
	null			 as vICMSUFDest, -- Valor total do ICMS para a UF de destino
	null			 as vICMSUFRemet,-- Valor total do ICMS para a UF do remetente
	-- Totais referentes ao ISSQN
	null            as vServ,       -- Valor total dos Servios
	null            as vBCISS,      -- Base de Clculo do ISS
	null            as vISS,        -- Valor total do ISS
	null            as servVPIS,    -- Valor do PIS sobre servios
	null            as servVCOFINS, -- Valor do COFINS sobre servios
	null			 as dCompet, 	 -- Data da prestao do servio  (AAAA-MM-DD)
	null			 as vDeducao, 	 -- Valor deduo para reduo da base de clculo
	null 			 as vOutroRet, 	 -- Valor outras retenes
	null			 as vDescIncond, -- Valor desconto incondicionado
	null			 as vDescCond, 	 -- Valor desconto condicionado
	null			 as vISSRet, 	 -- Valor Total Reteno ISS
	null		  	 as cRegTrib, 	 -- Cdigo do regime especial de tributao
	-- Totais referentes a RETTRIB
	null            as vRetPIS,     -- Valor retido de PIS
	null            as vRetCOFINS,  -- Valor retido de COFINS
	null            as vRetCSLL,    -- Valor retido de CSLL
	null            as vBCIRRF,     -- Base de clculo do IRRF
	null            as vIRRF,       -- Valor retido do IRRF
	null            as vBCRetPrev,  -- Base de Clculo da Reteno da Previdncia Social
	null            as vRetPrev,    -- Valor da Reteno da Previdncia Social
	-- Modalidade de frete
	null            as modFrete,    -- Modalidade de frete
	-- Transportadora	   
	null            as transpCNPJ,  -- CNPJ	   
	null            as transpCPF,   -- CPF
	null            as transpXNome, -- Razo Social ou Nome
	null            as transpIE,    -- Inscrio Estadual
	null            as transpXEnder,-- Endereo Completo
	null            as transpUF,    -- Sigla da UF
	null            as transpXMun,  -- Nome do Municpio
	-- RET Transp
	null            as vServTransp, -- Valor do Servio
	null            as vBCRet,      -- BC da Reteno do ICMS
	null            as pICMSRet,    -- Alquota da Reteno
	null            as vICMSRet,    -- Valor do ICMS retido
	null            as CFOPRet,     -- CFOP do Transporte
	null            as cMunFGRet,   -- Cd. do municpio de ocorrncia do Fato Gerador do ICMS do Transp.
	-- Veic Transp
	null            as veicPlaca,   -- Placa do veculo
	null            as veicUF,      -- Sigla da UF
	null            as veicRNTC,    -- Registro Nacional de Transportador de Carga (ANTT)
	null            as veicVagao,   -- Identificao do Vago
	null            as veicBalsa,   -- Identificao da Balsa
	-- Dados de Cobrana
	null            as nFat,        -- Nmero da Fatura
	null            as vOrig,       -- Valor original da Fatura
	null            as fatVDesc,    -- Valor do desconto
	null            as vLiq,        -- Valor lquido da fatura
	-- Informaes adicionais
	null            as infAdFisco,  -- Informaes adicionais de interesse do FISCO
	null            as infCpl,      -- Informaes Complementares de interesse do Contribuinte
	-- Informaes de Comrcio Exterior
	null            as UFSaidaPais  -- Sigla da UF de embarque ou de transposio de fronteira (nao aceita 'EX')
	null            as xLocExporta, -- Descrio do Local de Embarque ou de transposio de fronteira
	null            as xLocDespacho,-- Descrio do local de despacho
	-- Informaes de compra
	null            as xNEmp,       -- Nota de Empenho
	null            as xPed,        -- Pedido
	null            as xCont,       -- Contrato
	-- Informaes de aquisio de Cana
	null            as safra,       -- Identificao da safra
	null            as ref,         -- Ms e ano de referncia
	null            as qTotMes,     -- Quantidade Total do Ms
	null            as qTotAnt,     -- Quantidade Total Anterior
	null            as qTotGer,     -- Quantidade Total Geral
	null            as vFor,        -- Valor dos Fornecimentos
	null            as vTotDed,     -- Valor Total da Deduo
	null            as vLiqFor      -- Valor Lquido dos Fornecimentos 
	null            as indIntermed  -- Indicador de intermediador/marketplace
	-- Infomaes do Intermediador da Transao infIntermed
	null            as infIntermedCNPJ      -- CNPJ do Intermediador da Transao (agenciador, plataforma de delivery, marketplace e similar) de servios e de negcios.
	null            as idCadIntTran         --  Identificador cadastrado no intermediador 
from <tabela> tab
-- Condio para o extrator Oobj-NFe ler o registro.
where <condition> 
