create or replace view OOBJ_NFE_PROD as 
select     
	null		as id_prod,           -- Chave primria 
	null            as id_nfe,            -- Chave da view OOBJ_NFE_ENVIO
	-- Produtos e servios da NF-e
	null		as cProd,             -- Cdigo do produto ou servio
	null		as cEAN,              -- GTIN do produto, antigo cdigo EAN
	null		as cBarra,            -- Cdigo de barras diferente do padro GTIN
	null		as xProd,             -- Descrio do produto ou serivo
	null		as NCM,               -- Cdigo NCM
	null		as CEST,		   -- Cdigo Especificador da Substituio Tributria
	null		as indEscala	   -- Indicador de escala relevante
	null		as CNPJFab		   -- CNPJ do Fabricante da Mercadoria, obrigatrio para produto em escala NO relevante
	null		as cBenef		   -- Cdigo de Benefcio Fiscal na UF aplicada ao item
	null            as EXTIPI,            -- EX_TIPI
	null            as CFOP,              -- Cdigo Fiscal de Operaes e Prestaes
	null            as uCom,              -- Unidade Comercial
	null            as qCom,              -- Quantidade Comercial
	null            as vUnCom,            -- valor unitrio de comercializao
	null            as vProd,             -- Valor total bruto dos produtos ou servios
	null            as cEANTrib,          -- GTIN da unidade tributvel, antigo cdigo EAN
	null            as cBarraTrib,        -- Cdigo de Barras da unidade tributvel que seja diferente do padro GTIN
	null            as uTrib,             -- Unidade Tributvel
	null            as qTrib,             -- Quantidade Tributvel
	null            as vUntrib,           -- Valor unitrio de tributao
	null            as vFrete,            -- Valor Total do Frete
	null            as vSeg,              -- Valor total do Seguro
	null            as vDesc,             -- Valor total do Desconto
	null            as vOutro,            -- Outras despesas acessrias
	null            as indTot,            -- Indicativo de composio de total
	null            as xPed,              -- Pedido de compra
	null            as nItemPed,          -- Nmero do item do Pedido de compra
	null		as nFCI,		   -- Nmero de controle da FCI - Ficha de Contedo de Importao
	null		as vTotTrib,	   -- Valor total estimado de impostos do produto
	-- ICMS
	null            as icmsOrig,          -- Origem da mercadoria
	null            as icmsCSOSN,         -- Cdigo de Situao da Operao - Simples Nacional
	null            as icmsCST,           -- Tributao do ICMS
	null            as icmsModBC,         -- Modalidade de determinao da BC do ICMS
	null            as icmsPRedBC,        -- Percentual da Reduo de BC
	null            as icmsVBC,           -- Valor da BC do ICMS
	null            as icmsPICMS,         -- Alquota do imposto
	null            as icmsVICMS,         -- Valor do ICMS     
	null            as icmsModBCST,       -- Modalidade daa Determinao da BC do ICMS ST
	null		as icmsPFCP,	      -- Percentual do Fundo de combate  Pobreza (FCP)
	null		as icmsVFCP,	      -- Valor do Fundo de Combate  Pobreza (FCP)
	null		as icmsPFCPDif,	      -- Percentual do diferimento do ICMS relativo ao Fundo de Combate  Pobreza (FCP). No caso de diferimento total, informar o percentual de diferimento "100"
	null		as icmsVFCPDif,	      -- Valor do ICMS relativo ao Fundo de Combate  Pobreza (FCP) diferido
	null		as icmsVFCPEfet,	  -- Valor do ICMS relativo ao Fundo de Combate  Pobreza (FCP) realmente devido.
	null		as icmsVBCFCP,	      -- Valor da Base de Clculo do FCP
	null            as icmsPMVAST,        -- Percentual da Margem de avlor adicionado do ICMS ST
	null            as icmsPRedBCST,      -- Percentual da Reduo de BC do ICMS ST
	null            as icmsVBCST,         -- Valor da BC do ICMS ST
	null            as icmsPICMSST,       -- Alquota do imposto do ICMS ST
	null            as icmsVICMSST,		  -- Valor do ICMS ST
	null            as icmsVICMSSTDeson,  -- Informar apenas nos motivos de desonerao documentados abaixo
	null            as icmsMotDesICMSST,  -- Campo ser preenchido quando o campo anterior estiver preenchido. Informar o motivo da desonerao: 3=Uso na agropecuria 9=Outros 12=rgo de fomento e desenvolvimento agropecurio
	null		as icmsBCFCPST,		-- Valor da Base de Clculo do FCP retido por Substituio Tributria
	null		as icmsPFCPST,		-- Percentual do Fundo de Combate  Pobreza (FCP) retido por Substituio Tributria
	null		as icmsVFCPST,		-- Valor do Fundo de Combate  Pobreza (FCP) retido por Substituio Tributria
	null            as icmsVICMSOp,       -- Valor do ICMS da Operao
	null            as icmsPDif,          -- Porcentual do Diferemento
	null            as icmsVICMSDif,      -- Valor do ICMS da diferido
	null            as icmsPartPBCOp,     -- Percentual da BC operao prpria
	null            as icmsPCredSN,       -- Alquota aplicvel de clculo do crdito (Simples Nacional).
	null            as icmsPartUFST,      -- UF para qual  devido o ICMS ST
	null            as icmsSTVBCDest,     -- Valor da BC do ICMS ST da UF destino
	null            as icmsSTVBCRet,      -- Valor da BC do ICMS ST retido
	null		as icmsPST,		-- Alquota suportada pelo Consumidor Final
	null            as icmsVCredSN,       -- Valor crdito do ICMS que pode ser aproveitado nos termos do art. 23 da LC 123 (SN)
	null            as icmsSTVDest,       -- Valor do ICMS ST da UF destino
	null            as icmsSTVRet,        -- Valor do ICMS ST retido
	null		as icmsVBCFCPSTRet	-- Valor da Bse de Clculo do FCP retido anteriormente por Substituio Tributria
	null		as icmsVPFCPSTRet,	-- Percentual do Fundo de Combate  Pobreza (FCP) retido anteriormente por Substituio Tributria
	null		as icmsVFCPSTRet,	-- Valor do Fundo de Combate  Pobreza (FCP) retido anteriormente por Substituio Tributria
	null            as icmsvICMSDeson,    -- Valor do ICMS de desonerao
	null            as icmsMotDesICMS,    -- Motivo da desonerao do ICMS
	null            as icmsVICMSSTDeson,    -- Informar apenas nos motivos de desonerao documentados abaixo.
	null            as icmsMotDesICMSST,    -- Campo ser preenchido quando o campo anterior estiver preenchido. Informar o motivo da desonerao: 3=Uso na agropecuria; 9=Outros 12=rgo de fomento e desenvolvimento agropecurio
	-- Imposto sobre Produtos Industrializados - IPI
	null            as ipiClEnq,          -- Classe de enquadramento do IPI para Cigarros e Bebidas
	null            as ipiCNPJProd,       -- CNPJ do emitente. 
	null            as ipiCSelo,          -- Cdigo do selo de controle IPI
	null            as ipiQSelo,          -- Quantidade selo de controle
	null            as ipiCEnq,           -- Cdigo de enquadramento Legal do IPI
	null            as ipiCST,            -- Cdigo da situao tributria do IPI
	null            as ipiVBC,            -- Valor da BC do IPI
	null            as ipiQUnid,          -- Quantidade total na unidade padro da tributao 
	null            as ipiVUnid,          -- valor Por Unidade Tributvel
	null            as ipiPIPI,           -- Alquota do IPI
	null            as ipiVIPI,           -- Valor da IPI
	-- Imposto de Importao - II
	null            as iiVBC,             -- Valor da BC do Imposto de importao
	null            as iiVDEspAdu,        -- Valor das despesas aduaneiras
	null            as iiVII,             -- Valor do Imposto de Importao
	null            as iiVIOF,            -- Valor do Imposto sobre operaes financeiras
	-- PIS
	null            as pisCST,            -- Cdigo da situao tributria do PIS
	null            as pisVBC,            -- Valor da base de clculo do PIS
	null            as pisPPIS,           -- Alquota do PIS (em percentual)
	null            as pisQBCProd,        -- Quantidade vendida
	null            as pisVAliqProd,      -- Alquota do PIS (em reais)
	null            as pisVPIS,           -- Valor do PIS
	-- PIS ST
	null            as pisstVBC,          -- Valor da BC PIS ST
	null            as pisstPPIS,         -- 
	null            as pisstQBCProd,      -- Quantidade vendida - PIS ST
	null            as pisstVAliqProd,    -- Valor da alquota em percentual do PIS ST
	null            as pisstVPIS,         -- Valor do PIS ST
	null            as pisstIndSomaPISST, -- 0=Valor do PISST no compe o valor total da NF-e 1=Valor do PISST compe o valor total da NF-e
	-- COFINS
	null            as cofinsCST,         -- Cdigo da situao tributria do COFINS
	null            as cofinsVBC,         -- Valor da base de clculo do COFINS
	null            as cofinsPCOFINS,     -- Alquota da COFINS (em percentual)
	null            as cofinsQBCProd,     -- Quantidade vendida
	null            as cofinsVAliqProd,   -- Alquota da COFINS (em reais)
	null            as cofinsVCOFINS,     -- Valor da COFINS
	-- COFINS ST	   
	null            as cofinsstVBC,			 -- Valor da BC - COFINS ST
	null            as cofinsstPCOFINS,		 -- Valor da alquota em percetual do COFINS ST
	null            as cofinsstQBCProd,		 -- Quantidade vendida - COFINS ST
	null            as cofinsstVAliqProd,	 -- Valor da alquota do COFINS ST
	null            as cofinsstVCOFINS,		 -- Valor do COFINS ST
	null            as pisstIndSomaCOFINSST, -- 0=Valor da COFINSST no compe o valor total da NF-e 1=Valor da COFINSST compe o valor total da NF-e
	-- ICMS UF Dest
	null		as icmsufdestVBC,		-- Valor da BC do ICMS UF Dest
	null		as icmsufdestBCFCPUF,		-- Valor da BC FCP na UF de destino
	null		as icmsufdestPFCP,		-- Percentual da alquota do ICMS UF Dest relativo ao Funco de Combate  Pobreza
	null		as icmsufdestPICMS,		-- Percentual da alquota do ICMS UF Dest
	null		as icmsufdestPICMSInter,	-- 4.00 - alquota interestadual para produtos importados; 7.00 - para os Estados de origem do Sul e Sudeste (exceto ES), destinado para os Estados do Norte e Nordeste ou ES; 12.00 - para os demais casos
	null		as icmsufdestPICMSInterPart,	-- Percentual de partilha para a UF do destinatrio
	null		as icmsufdestVFCP,				-- Valor do ICMS relativo ao Fundo de Combate  Pobreza da UF Dest
	null		as icmsufdestVICMS,			-- Valor do ICMS UF Dest
	null		as icmsufdestVICMSUFRemet,		-- Valor do ICMS da UF do remetente
	-- ISSQN
	null            as issVBC,            -- Valor da Base de Clculo do ISSQN
	null            as issVAliq,          -- Alquota do ISSQN
	null            as issVISSQN,         -- Valor do ISSQN
	null            as issCMunFG,         -- Cd. do mun. de ocorrncia do Fato Gerador do ISSQN
	null            as issCListServ,      -- Item da Lista de servios
	null            as issCSitTrib,       -- Cdigo de tributao do ISSQN
	null            as issVDeducao,        --valor deduo para reduo de base de clculo;           decimal 13,2
	null            as issVOutro,          --valor outras retenes;                                  decimal 13,2
	null            as issVDescIncond,     --valor desconto incondicionado;                           decimal 13,2
	null            as issVDescCond,       --valor desconto condicionado;                             decimal 13,2
	null            as issVIssRet,         --valor reteno de ISS;                                   decimal 13,2
	null            as issIndISS,          --Exibilidade do ISS;                                      1-Exigvel 2-No incidente 3-Iseno 4-Exportao 5-Imunidade 6-Exig.Susp. Judicial 7-Exig.Susp. ADM
	null            as issCServico,        --cdigo do servio prestado dentro do municpio;          texto 20
	null            as issCMun,            --cdigo do municpio da incidncia do imposto;            inteiro 7
	null            as issCPais,           --cdigo do pais onde servio foi prestado;                inteiro 3
	null            as issNProcesso,       --Nmero do processo adm ou jud de suspeno do processo;  texto 30
	null            as issIndIncentivo,    --Indicador de incentivo;                                   1-Sim 2-No
	-- Informaes Adicionais
	null            as infAdProd,          -- Informaes adicionais do produto
	null		as pDevol,			   -- Percentual de mercadoria devolvida 
	null		as vIPIDevol,		   -- Valor do IPI devolvido
from <tabela> tab
-- Condio para o extrator Oobj-NFe ler o registro.
where <condition> 
